<?xml version="1.0" encoding="UTF-8"?>

<ClassComponent localName="NPCFaceBankHeadLogger"
	description="Обеспечивает отображение записей лога" fileName="NPCFaceBankHeadLogger.jar"
	className="org.mati.npc.faces.NPCFaceBankHeadLogger" version="9345"
	time="17.02.2009 16:31:02">

	<Group>Ночной депозитарий</Group>

	<!-- INLINKS -->
	<INLink description="Связь с компонентом контейнером"
		interfaceName="org.mati.npc.components.interfaces.NPCFaceComponent"
		linksNumber="1" name="InFaceComponent" nullable="false">
	</INLink>
	<INLink name="InVisibility"
		description="Входящая связь допускает изменение видимости компонента."
		interfaceName="org.mati.npc.components.interfaces.NPCUniversalLogicalInterface"
		linksNumber="1" nullable="true">
	</INLink>
	<INLink name="InEnable"
		description="Входящая связь допускает enable/disable компонента."
		interfaceName="org.mati.npc.components.interfaces.NPCUniversalLogicalInterface"
		linksNumber="1" nullable="true">
	</INLink>

	<!-- ATTRIBUTES -->
	<Attribute name="PositionX" description="Координата левого верхнего угла по оси X"
		defaultValue="0"
		type="java.lang.Integer" nullable="false">
	</Attribute>
	<Attribute name="PositionY" description="Координата левого верхнего угла по оси Y"
		defaultValue="0"
		type="java.lang.Integer" nullable="false">
	</Attribute>
	<Attribute name="SizeWidth" description="Ширина" type="java.lang.Integer"
		defaultValue="150"
		nullable="false">
	</Attribute>
	<Attribute name="SizeHeight" description="Высота" nullable="false"
		defaultValue="60"
		type="java.lang.Integer">
	</Attribute>
	<Attribute
		description="Максимальное кол-во сообщений, которые будут отображаться в окне журналирования"
		defaultValue="20"
		nullable="false" type="java.lang.Integer" name="DisplayableMessagesCount">
	</Attribute>

	<Attribute name="DbLogin" description="Логин БД" nullable="false"
		type="java.lang.String" >
	</Attribute>

	<Attribute name="DbPassword" description="Пароль БД"
		nullable="false" type="java.lang.String" >
	</Attribute>

	<Attribute name="DbDriver" description="Драйвер БД" nullable="false"
		type="java.lang.String" defaultValue="org.hsqldb.jdbcDriver">
	</Attribute>

	<Attribute name="ConnectionURL" description="URL БД"
		nullable="false" type="java.lang.String" defaultValue="jdbc:hsqldb:hsql://localhost/npc">
	</Attribute>


</ClassComponent>

